<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package opstore
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function opstore_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	$opstore_site_layout = get_theme_mod('opstore_webpage_layout','opstore-fullwidth');
	$classes[] = $opstore_site_layout;

	if(function_exists( 'WC' )){
		$classes[] = 'woocommerce';
	}

	//Sticky Header
	$sticky_enable = get_theme_mod('opstore_sticky_menu','show');
	if($sticky_enable == 'show'){
		$classes[] = 'sticky-header';
	}

	return $classes;
}
add_filter( 'body_class', 'opstore_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function opstore_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'opstore_pingback_header' );
